ChartDirector Ver 5.0 (PHP Edition)

Layer.getXCoor

Usage

getXCoor(v)

Description

Gets the x pixel coordinate of a point given the x data value.
Note: You must call XYChart.layoutAxes, BaseChart.layout or XYChart.packPlotArea first before calling this method. ChartDirector needs to perform auto-scaling and layout the axis before it can compute the coordinates.

Arguments

Argument | Default | Description
--- | --- | ---
v | (Mandatory) | The x data value.

Return Value

The x coordinate of the x data value.

© 2009 Advanced Software Engineering Limited. All rights reserved.